SystemOrganization addCategory: #'Seaside-Sport'!

WAPlatform subclass: #WASportPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Sport'!

!WASportPlatform commentStamp: 'pmm 11/8/2007 19:56' prior: 0!
A WASportPlatform is a partial implementation of SeasidePlatform support. It uses the SPort portability layer and resonable defaults..!

!WASportPlatform methodsFor: 'startup' stamp: 'jf 1/22/2009 03:15'!
addToShutDownList: anObject
	SpEnvironment
		addImageStartupTask: [ anObject shutDown ]
		for: anObject! !

!WASportPlatform methodsFor: 'startup' stamp: 'jf 1/22/2009 03:15'!
addToStartUpList: anObject
	SpEnvironment
		addImageStartupTask: [ anObject startUp ]
		for: anObject! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
asMethodReturningByteArray: aByteArrayOrString named: aSymbol
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'encoding' stamp: 'jf 1/22/2009 03:15'!
base64Decode: aString
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'accessing' stamp: 'jf 1/22/2009 03:15'!
codecForEncoding: aStringOrNil
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
compile: aString into: aClass classified: aSymbol
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
contentsOfFile: aString binary: aBoolean
	| stream |
	stream := SpFileStream readingFromFileNamed: aString.
	aBoolean ifTrue: [ stream binary ].
	^[ stream contentsStream ]
		ensure: [ stream close ]! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
convertToSmalltalkNewlines: aString
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'email' stamp: 'jf 1/22/2009 03:15'!
deliverMailFrom: fromAddress to: recipientList text: messageText
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'vm' stamp: 'jf 1/22/2009 03:15'!
ensureAuthorInitials: aBlock
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
ensureExistenceOfFolder: aString
	| filename stream |
	filename := SpFilename named: aString.
	filename exists ifTrue: [ ^self ].
	
	stream := SpFileStream writingToFilename: filename.
	stream flush.
	stream close! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
filesIn: aPathString
	| directory |
	self flag: #XXX. "not implemented in Squeak"
	directory := SpFilename named: aPathString.
	^(directory directoryContents
		reject: [ :each | each tail first = $. ])
		collect: [ :each | each asAbsoluteFilename asString "#asString is a SPort method" ]! !

!WASportPlatform methodsFor: 'accessing' stamp: 'jf 1/22/2009 03:15'!
haloClass
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
localNameOf: aFilename
	^(SpFilename named: aFilename) tail! !

!WASportPlatform methodsFor: 'exceptions' stamp: 'jf 1/22/2009 03:15'!
openDebuggerOn: anError
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'factory' stamp: 'jf 1/22/2009 03:15'!
randomClass
	^Random! !

!WASportPlatform methodsFor: 'factory' stamp: 'jf 1/22/2009 03:15'!
readWriteStream
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'startup' stamp: 'jf 1/22/2009 03:15'!
removeFromShutDownList: anObject
	SpEnvironment removeShutdownActionFor: anObject! !

!WASportPlatform methodsFor: 'startup' stamp: 'jf 1/22/2009 03:15'!
removeFromStartUpList: anObject
	SpEnvironment removeStartupActionFor: anObject! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
removeSelector: aSymbol from: aClass
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'requests' stamp: 'jf 1/22/2009 03:15'!
request: aString
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'requests' stamp: 'jf 1/22/2009 03:15'!
request: aRequestString initialAnswer: anIntialAnserString
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'cryptography' stamp: 'jf 1/22/2009 03:15'!
secureHashFor: aString
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'factory' stamp: 'jf 1/22/2009 03:15'!
semaphoreClass
	^Semaphore! !

!WASportPlatform methodsFor: 'exceptions' stamp: 'jf 1/22/2009 03:15'!
stackDepth
	self subclassResponsibility! !

!WASportPlatform methodsFor: 'file-library' stamp: 'jf 1/22/2009 03:15'!
write: aStringOrByteArray toFile: aFileNameString inFolder: aFolderString
	| filename stream |
	filename := (SpFilename named: aFolderString) construct: aFileNameString.
	stream := filename writeStream.
	[ stream nextPutAll: aStringOrByteArray ]
		ensure: [ stream close ]! !

!WAPackage class methodsFor: '*seaside-sport' stamp: 'jf 1/23/2009 11:35'!
seasideSport
	^ self new
		name: 'Seaside-Sport';
		addDependency: 'Seaside-Platform';
		yourself! !
